## libpeas 1.28.0

=== meson_options.txt ===
option('lua51',
       type: 'boolean', value: true,
       description: 'Enable Lua 5.1 support (requires lua-lgi)')

option('python2',
       type: 'boolean', value: false,
       description: 'Enable Python 2 support (requires pygobject)')
option('python3',
       type: 'boolean', value: true,
       description: 'Enable Python 3 support (requires pygobject)')

option('introspection',
       type: 'boolean', value: true,
       description: 'Generate introspection data (requires gobject-introspection)')
option('vapi',
       type: 'boolean', value: false,
       description: 'Generate vapi data (requires vapigen)')

option('widgetry',
       type: 'boolean', value: true,
       description: 'Build GTK+ widgetry (requires gtk+)')
option('glade_catalog',
       type: 'boolean', value: true,
       description: 'Install Glade catalog (requires gladeui)')

option('demos',
       type: 'boolean', value: true,
       description: 'Build demo programs')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Build reference manual (requires gtk-doc)')

## libpeas 0.5.3

=== debian/changelog ===
libpeas (0.5.3-0ubuntu5) maverick; urgency=low

  * debian/control:
  * debian/gir1.0-libpeas-1.0.install:
  * debian/gir1.0-peas-1.0.install:
    - Fix name of GIR package

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 20 Aug 2010 15:36:33 +1000

libpeas (0.5.3-0ubuntu4) maverick; urgency=low

  * Rebuild against latest gobject-introspection

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 11 Aug 2010 09:19:37 +1000

libpeas (0.5.3-0ubuntu3) maverick; urgency=low

  * debian/control:
    - Build-depend on intltool, gtk-doc-tools

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 09 Aug 2010 16:44:03 +1000

libpeas (0.5.3-0ubuntu2) maverick; urgency=low

  * debian/control:
    - Build-depend on gobject-introspection

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 09 Aug 2010 12:14:50 +1000

libpeas (0.5.3-0ubuntu1) maverick; urgency=low

  * Initial release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 03 Aug 2010 17:45:27 +1000

=== debian/control ===
Source: libpeas
Priority: extra
Maintainer: Robert Ancell <robert.ancell@canonical.com>
Build-Depends: quilt (>= 0.46-7~),
               debhelper (>= 7.0.50~),
               dh-autoreconf,
               intltool (>= 0.40),
               gtk-doc-tools,
               libglib2.0-dev (>= 2.23.0),
               gobject-introspection,
               libgirepository1.0-dev (>= 0.6.14),
               libgtk2.0-dev (>= 2.16),
               libseed-dev (>= 2.28.0),
               python-dev (>= 2.5.2),
               python-gobject-dev (>= 2.20.0)
Standards-Version: 3.9.1
Section: libs
Homepage: http://git.gnome.org/browse/libpeas/
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/libpeas/ubuntu

Package: libpeas-1.0-0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Application plugin library
 libpeas is a library that allows applications to support plugins.

Package: libpeas-examples
Section: x11
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Application plugin library (examples)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains example programs that use libpeas.
 
Package: gir1.0-peas-1.0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Conflicts: gir1.0-libpeas-1.0
Replaces: gir1.0-libpeas-1.0
Description: Application plugin library (introspection files)
 libpeas is a library that allows applications to support plugins.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings. 

Package: libpeas-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libpeas-1.0-0 (= ${binary:Version})
Description: Application plugin library (development files)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains the headers files required for developing software that
 uses libpeas.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk2-test-build

%:
	dh --with autoreconf $@

=== debian/watch ===
version=3

http://ftp.gnome.org/pub/GNOME/sources/libpeas/([0-9].*)/libpeas-([0-9].*).tar.gz debian uupdate

## libpeas 0.7.3

=== debian/changelog ===
libpeas (0.7.3-2ubuntu2) natty; urgency=low

  * One more time, with feeling (and changing control.in instead of control)
    - Build-depend on libseed-dev instead of libseed-gtk3-dev since the latter
      is not in natty (fixes depwait)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 10 Apr 2011 01:22:09 -0400

libpeas (0.7.3-2ubuntu1) natty; urgency=low

  * Build-depend on libseed-dev instead of libseed-gtk3-dev since the latter
    is not in natty (fixes depwait)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 10 Apr 2011 01:05:47 -0400

libpeas (0.7.3-2) experimental; urgency=low

  * Fix typo in the libpeas-dev dependencies

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Feb 2011 16:45:50 +0000

libpeas (0.7.3-1) experimental; urgency=low

  [ Sebastien Bacher ]
  * debian/control.in:
    - conflicts, replaces with old ubuntu naming to avoid upgrade issues.
      (Closes: #612478)

  [ Sjoerd Simons ]
  * New upstream release (0.7.3)
  * Transition to libgtk-3-* package nameing

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Feb 2011 16:17:43 +0000

libpeas (0.7.1-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 31 Jan 2011 23:29:06 +0000

libpeas (0.7.0-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * Initial debian revision

  [ Emilio Pozuelo Monfort ]
  * debian/control.in,
    debian/rules:
    - Switch to CDBS.
  * debian/rules:
    - Call dh_girepository.
  * debian/control.in:
    - Update the Homepage.
    - Fix the libpeas-dev dependencies.
  * debian/copyright:
    - Remove version from the download location.
  * debian/control.in,
    debian/libpeas-{examples,doc}.install:
    - Rename libpeas-examples to libpeas-doc and ship the documentation
      on it.
  * debian/control.in,
    debian/libpeas-common.install:
    - Add a common package.
  * debian/libpeas-dev:
    - Don't install libtool .la files.
  * debian/control.in,
    debian/compat:
    - Bump debhelper compatibility to 8.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 20 Dec 2010 00:55:33 +0000

libpeas (0.7.0-0ubuntu2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Dec 2010 16:52:36 +0000

libpeas (0.7.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Update dependencies
  * debian/patches/older_gobject_introspection:
    - Dropped, not needed now
  * debian/rules:
    - Don't call autoreconf
    - Don't build against gtk2
    - Call dh_girepository to set gir:Depends
  * debian/watch:
    - Use bz2 tarballs

 -- Michael Terry <mterry@ubuntu.com>  Mon, 15 Nov 2010 16:38:37 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: libpeas
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: cdbs,
               debhelper (>= 8),
               gnome-pkg-tools,
               intltool (>= 0.40),
               gtk-doc-tools (>= 1.11),
               libglib2.0-dev (>= 2.23.6),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.6),
               gir1.2-gtk-3.0,
               libgtk-3-dev,
               libseed-dev,
               python-dev (>= 2.5.2),
               python-gobject-dev (>= 2.20.0)
Standards-Version: 3.9.1
Section: libs
Homepage: http://live.gnome.org/Libpeas
Vcs-Svn: svn://svn.debian.org/pkg-gnome/packages/experimental/libpeas/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/experimental/libpeas/

Package: libpeas-1.0-0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libpeas-common
Description: Application plugin library
 libpeas is a library that allows applications to support plugins.

Package: libpeas-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libpeas-1.0-0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.23.6),
         libgirepository1.0-dev (>= 0.9.6),
         libgtk-3-dev (>= 2.90)
Suggests: libpeas-doc
Description: Application plugin library (development files)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains the headers files required for developing software that
 uses libpeas.

Package: libpeas-doc
Section: doc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libpeas-examples
Description: Application plugin library (documentation)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains the API reference for libpeas.

Package: libpeas-common
Section: libs
Architecture: all
Depends: ${misc:Depends}
Replaces: libpeas-1.0-0 (<< 0.7.0-1)
Description: Application plugin library (common files)
 libpeas is a library that allows applications to support plugins.
 .
 This package contains common files, such as translations and icons.

Package: gir1.2-peas-1.0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Conflicts: gir1.0-libpeas-1.0, gir1.0-peas-1.0
Replaces: gir1.0-libpeas-1.0, gir1.0-peas-1.0
Description: Application plugin library (introspection files)
 libpeas is a library that allows applications to support plugins.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/check-dist.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

$(patsubst %,binary-predeb/%,$(DEB_ALL_PACKAGES)) ::
	dh_girepository -p$(cdbs_curpkg)

=== debian/watch ===
version=3

http://ftp.gnome.org/pub/GNOME/sources/libpeas/([0-9].*)/libpeas-([0-9].*).tar.bz2 debian uupdate

## libpeas 1.1.1

=== debian/changelog ===
libpeas (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * debian/libpeas-1.0-0.symbols: Update for new API additions.

 -- Michael Biebl <biebl@debian.org>  Wed, 03 Aug 2011 19:11:54 +0200

libpeas (1.1.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/libpeas-1.0-0.symbols.
  * debian/rules: Build gtk-doc documentation.
  * Install the complete /usr/lib/peas-demo directory and remove compiled
    python and libtool .la files afterwards. This way we don't fail on
    architectures where seed is disabled and no .js files are installed.

 -- Michael Biebl <biebl@debian.org>  Fri, 22 Jul 2011 00:16:40 +0200

libpeas (1.0.0-5) unstable; urgency=low

  * debian/libpeas-doc.install:
    - Install .js and .py plugin files for peas-demo.
  * Disable seed support on mips. Should be re-enabled when #633730 is fixed.

 -- Michael Biebl <biebl@debian.org>  Thu, 21 Jul 2011 18:41:59 +0200

libpeas (1.0.0-4) unstable; urgency=low

  [ Sebastien Bacher ]
  * debian/control.in: build-depends on libgladeui-dev
  * Install the glade catalogue

  [ Michael Biebl ]
  * Rely on cdbs to call dh_girepository:
    - Bump Build-Depends on cdbs to (>= 0.4.90).
    - Remove custom dh_girepository rules from debian/rules.
  * Disable seed support on ia64 until #582774 is fixed.
  * Upload to unstable.
    - Update Vcs-* fields.
    - Remove check-dist.mk from debian/rules.

 -- Michael Biebl <biebl@debian.org>  Wed, 13 Jul 2011 10:49:51 +0200

libpeas (1.0.0-3) experimental; urgency=low

  * Exclude plugin directory when calling dh_makeshlibs for libpeas-1.0-0 and
    remove those symbols from debian/libpeas-1.0-0.symbols.
  * debian/watch: Don't run uupdate.
  * debian/control.in:
    - Bump dependency on libgirepository1.0-dev to (>= 0.10.1) for
      libpeas-dev according to the .pc file.
    - Bump Build-Depends on libgirepository1.0-dev to (>= 0.10.1).
  * Don't install libtool .la files for loader plugins and peas-demo.

 -- Michael Biebl <biebl@debian.org>  Sun, 19 Jun 2011 01:19:40 +0200

libpeas (1.0.0-2) experimental; urgency=low

  [ Michael Terry ]
  * debian/libpeas-1.0-0.symbols: add symbols file

  [ Martin Pitt ]
  * Enable Vala support:
    - debian/control.in: Add valac-0.12 build dependency. configure picks that
      up and enables Vala support.
    - debian/rules: Call vapigen to build a vapi from generated gir.
    - debian/libpeas-dev.install: Ship libpeas-1.0.vapi.
  * debian/rules: Run tests during build, but make sure that we don't build
    the tests with -Bsymbolic-functions, which confuses them. Thanks to
  * debian/control.in: Add gnome-icon-theme build dependency. One of the self
    tests checks the "gtk-about" stock icon, so ensure that it can actually
    find it.
    Michael Terry for the patch! (Closes: #627115)
  * debian/control.in: Bump Standards-Version to 3.9.2, no changes necessary.
  * debian/copyright: Update FSF address, thanks lintian.

 -- Martin Pitt <mpitt@debian.org>  Tue, 31 May 2011 15:29:55 +0200

libpeas (1.0.0-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

  [ Andreas Henriksson ]
  * New upstream release.
    - Bump gobject-introspection and seed build dependencies according
      to configure.ac

  [ Frederic Peters ]
  * debian/rules: don't install compiled python files for the demo plugin.

 -- Frederic Peters <fpeters@debian.org>  Wed, 13 Apr 2011 16:59:57 +0200

libpeas (0.9.0-1) experimental; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Mon, 28 Mar 2011 12:05:11 +0530

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,29 @@
 
 Source: libpeas
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: cdbs,
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Frederic Peters <fpeters@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Build-Depends: cdbs (>= 0.4.90),
                debhelper (>= 8),
                gnome-pkg-tools,
                intltool (>= 0.40),
                gtk-doc-tools (>= 1.11),
                libglib2.0-dev (>= 2.23.6),
-               gobject-introspection (>= 0.9.12-4~),
-               libgirepository1.0-dev (>= 0.9.6),
+               libgladeui-dev,
+               gobject-introspection (>= 0.10.1),
+               libgirepository1.0-dev (>= 0.10.1),
                gir1.2-gtk-3.0,
                libgtk-3-dev,
-               libseed-dev,
+               libseed-gtk3-dev (>= 2.91.91) [!ia64 !mips],
                python-dev (>= 2.5.2),
-               python-gobject-dev (>= 2.20.0)
-Standards-Version: 3.9.1
+               python-gobject-dev (>= 2.20.0),
+               valac-0.12,
+               gnome-icon-theme
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://live.gnome.org/Libpeas
-Vcs-Svn: svn://svn.debian.org/pkg-gnome/packages/experimental/libpeas/
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/experimental/libpeas/
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/libpeas/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libpeas/
 
 Package: libpeas-1.0-0
 Section: libs
@@ -41,8 +43,9 @@
 Architecture: any
 Depends: ${misc:Depends},
          libpeas-1.0-0 (= ${binary:Version}),
+         gir1.2-peas-1.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.23.6),
-         libgirepository1.0-dev (>= 0.9.6),
+         libgirepository1.0-dev (>= 0.10.1),
          libgtk-3-dev (>= 2.90)
 Suggests: libpeas-doc
 Description: Application plugin library (development files)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc

# We clean the test directory before running check because we need to stop
# -Bsymbolic-functions from being used when building the tests.  Else
# the extension-c test fails.
DEB_MAKE_CHECK_TARGET = -C tests clean check LDFLAGS=""

DEB_DH_MAKESHLIBS_ARGS_libpeas-1.0-0 += -X/usr/lib/libpeas-1.0/

common-post-build-arch::
	# build vapi interface from gir
	cd libpeas; vapigen --library peas-1.0 Peas-1.0.gir

binary-post-install/libpeas-doc::
	# remove compiled python and libtool .la files
	rm -f debian/libpeas-doc/usr/lib/peas-demo/plugins/*/*.pyo
	rm -f debian/libpeas-doc/usr/lib/peas-demo/plugins/*/*.pyc
	rm -f debian/libpeas-doc/usr/lib/peas-demo/plugins/*/*.la

## libpeas 1.2.0

=== debian/changelog ===
libpeas (1.2.0-1ubuntu1) precise; urgency=low

  * debian/control.in:
    Drop build-depends on seed since it's not in main

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 30 Dec 2011 00:36:35 -0500

libpeas (1.2.0-1) unstable; urgency=low

  [ Oliver Sauder ]
  * Renamed peas vapi file to libpeas-1.0.vapi (Closes: #639625)

  [ Laurent Bigonville ]
  * debian/control.in:
    - Bump Priority to optional
    - Drop duplicate Section to please lintian
  * debian/libpeas-doc.lintian-overrides:
    Override documentation-package-not-architecture-independent

  [ Sjoerd Simons ]
  * New upstream release
  * Binds plugin module symbols globally, fixes python plugins (Closes: 647292)
  * Sync with ubuntu:
    * Don't ship vapi files, rely on valac-0.14 shipping them
    * debian/libpeas-1.0-0.symbols: Updates
    * Put libpeas-1.0-0, libpeas-common and gir1.2-peas-1.0 in section libs
    * Don't run the GTK test as they require an X server
    * Set priority to extra

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 20 Nov 2011 23:21:10 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 
 Source: libpeas
 Priority: extra
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Frederic Peters <fpeters@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Frederic Peters <fpeters@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: cdbs (>= 0.4.90),
                debhelper (>= 8),
                gnome-pkg-tools,
@@ -18,10 +19,9 @@
                libgirepository1.0-dev (>= 0.10.1),
                gir1.2-gtk-3.0,
                libgtk-3-dev,
-               libseed-gtk3-dev (>= 2.91.91) [!ia64 !mips],
                python-dev (>= 2.5.2),
-               python-gobject-dev (>= 2.20.0),
-               valac-0.12,
+               python-gobject-dev (>= 3.0.0),
+               valac-0.14,
                gnome-icon-theme
 Standards-Version: 3.9.2
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -10,14 +10,10 @@
 
 # We clean the test directory before running check because we need to stop
 # -Bsymbolic-functions from being used when building the tests.  Else
-# the extension-c test fails.
-DEB_MAKE_CHECK_TARGET = -C tests clean check LDFLAGS=""
+# the extension-c test fails.  And we want to avoid the gtk-requiring tests.
+DEB_MAKE_CHECK_TARGET = -C tests/libpeas clean all check LDFLAGS=""
 
 DEB_DH_MAKESHLIBS_ARGS_libpeas-1.0-0 += -X/usr/lib/libpeas-1.0/
-
-common-post-build-arch::
-	# build vapi interface from gir
-	cd libpeas; vapigen --library peas-1.0 Peas-1.0.gir
 
 binary-post-install/libpeas-doc::
 	# remove compiled python and libtool .la files

## libpeas 1.4.0

=== debian/changelog ===
libpeas (1.4.0-2) unstable; urgency=low

  * Don't enable the seed plugin on ia64 and mips since seed is not available
    on those architectures.

 -- Michael Biebl <biebl@debian.org>  Sat, 31 Mar 2012 23:37:26 +0200

libpeas (1.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Track .xz tarballs.
  * Bump (Build-)Depends on libglib2.0-dev to (>= 2.31.2).
  * debian/libpeas-1.0-0.symbols: Add new symbols and remove 2 internal
    symbols which were dropped upstream.
  * Explicitly enable the plugins (vala, python, seed) for more reliable build
    results.
  * Use find to remove the compiled python and libtool .la files.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Sat, 31 Mar 2012 08:26:42 +0200

libpeas (1.2.0-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Replace python-gobject by python-gi.

  [ Michael Biebl ]
  * Change section of gir1.2-peas-1.0 to introspection.

  [ Josselin Mouette ]
  * Update repository URL.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Mar 2012 20:17:11 +0100

=== debian/control ===
--- 
+++ 
@@ -5,29 +5,28 @@
 
 Source: libpeas
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Frederic Peters <fpeters@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: cdbs (>= 0.4.90),
                debhelper (>= 8),
                gnome-pkg-tools,
                intltool (>= 0.40),
                gtk-doc-tools (>= 1.11),
-               libglib2.0-dev (>= 2.23.6),
+               libglib2.0-dev (>= 2.31.2),
                libgladeui-dev,
                gobject-introspection (>= 0.10.1),
                libgirepository1.0-dev (>= 0.10.1),
-               gir1.2-gtk-3.0,
                libgtk-3-dev,
+               libseed-gtk3-dev (>= 2.91.91) [!ia64 !mips],
                python-dev (>= 2.5.2),
-               python-gobject-dev (>= 3.0.0),
+               python-gi-dev (>= 3.0.0),
                valac-0.14,
                gnome-icon-theme
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://live.gnome.org/Libpeas
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/libpeas/
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/libpeas/
+Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/libpeas/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libpeas/
 
 Package: libpeas-1.0-0
 Section: libs
@@ -44,7 +43,7 @@
 Depends: ${misc:Depends},
          libpeas-1.0-0 (= ${binary:Version}),
          gir1.2-peas-1.0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.23.6),
+         libglib2.0-dev (>= 2.31.2),
          libgirepository1.0-dev (>= 0.10.1),
          libgtk-3-dev (>= 2.90)
 Suggests: libpeas-doc
@@ -76,7 +75,7 @@
  This package contains common files, such as translations and icons.
 
 Package: gir1.2-peas-1.0
-Section: libs
+Section: introspection
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,14 @@
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc \
+                             --enable-vala \
+                             --enable-python \
+                             --disable-gjs
+
+ifeq (,$(filter $(DEB_HOST_ARCH),ia64 mips))
+DEB_CONFIGURE_EXTRA_FLAGS += --enable-seed
+endif
 
 # We clean the test directory before running check because we need to stop
 # -Bsymbolic-functions from being used when building the tests.  Else
@@ -17,6 +24,6 @@
 
 binary-post-install/libpeas-doc::
 	# remove compiled python and libtool .la files
-	rm -f debian/libpeas-doc/usr/lib/peas-demo/plugins/*/*.pyo
-	rm -f debian/libpeas-doc/usr/lib/peas-demo/plugins/*/*.pyc
-	rm -f debian/libpeas-doc/usr/lib/peas-demo/plugins/*/*.la
+	find debian/$(cdbs_curpkg) -name '*.pyo' -delete
+	find debian/$(cdbs_curpkg) -name '*.pyc' -delete
+	find debian/$(cdbs_curpkg) -name '*.la' -delete

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/libpeas/([\d\.]+)/libpeas-([\d\.]+)\.tar\.xz

## libpeas 1.6.2

=== debian/changelog ===
libpeas (1.6.2-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/control:
    - Use standards version 3.9.4

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 16 Jan 2013 09:53:41 -0800

libpeas (1.6.0-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1032098)
  * debian/control:
    - Drop build-dependency on valac-0.14
    - Bump build-dependency on libgtk-3-dev
  * debian/libpeas-1.0-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 16 Jan 2013 09:46:44 -0800

libpeas (1.4.0-2ubuntu4) raring; urgency=low

  * Rebuild against python3.3.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 26 Oct 2012 18:54:43 +0100

libpeas (1.4.0-2ubuntu3) quantal; urgency=low

  * No change rebuild.  LP: #1015868

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 21 Jun 2012 10:42:57 -0400

libpeas (1.4.0-2ubuntu2) quantal; urgency=low

  * Build the Python 3 plugin, and enable it to exist next to the Python 2
    plugin (though only one can be used by an application at a time).  Add
    Python 3 support to peas-demo.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 19 Jun 2012 11:16:15 -0400

libpeas (1.4.0-2ubuntu1) quantal; urgency=low

  * Merge with Debian unstable, remaining Ubuntu changes:
  * debian/control:
  * debian/rules:
    - Disable seed as it's not in main

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 28 May 2012 16:33:03 +1200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: libpeas
 Priority: extra
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.90),
                debhelper (>= 8),
+               quilt,
+               autoconf,
                gnome-pkg-tools,
                intltool (>= 0.40),
                gtk-doc-tools (>= 1.11),
@@ -16,13 +18,12 @@
                libgladeui-dev,
                gobject-introspection (>= 0.10.1),
                libgirepository1.0-dev (>= 0.10.1),
-               libgtk-3-dev,
-               libseed-gtk3-dev (>= 2.91.91) [!ia64 !mips],
+               libgtk-3-dev (>= 3.0.0),
                python-dev (>= 2.5.2),
                python-gi-dev (>= 3.0.0),
-               valac-0.14,
+               python3-dev,
                gnome-icon-theme
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://live.gnome.org/Libpeas
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/libpeas/
@@ -45,7 +46,7 @@
          gir1.2-peas-1.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.31.2),
          libgirepository1.0-dev (>= 0.10.1),
-         libgtk-3-dev (>= 2.90)
+         libgtk-3-dev (>= 3.0.0)
 Suggests: libpeas-doc
 Description: Application plugin library (development files)
  libpeas is a library that allows applications to support plugins.

=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,42 @@
 #!/usr/bin/make -f
+
+DEB_MAKE_FLAVORS = py2 py3
+DEB_BUILDDIR = build
+DEB_MAKE_DESTDIRSKEL_py2 = $(CURDIR)/debian/tmp
+DEB_MAKE_DESTDIRSKEL_py3 = $(CURDIR)/debian/tmp-py3
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/utils.mk
+include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc \
-                             --enable-vala \
-                             --enable-python \
-                             --disable-gjs
+debian/stamp-autotools/py2:: DEB_CONFIGURE_SCRIPT_ENV=PYTHON=python
 
-ifeq (,$(filter $(DEB_HOST_ARCH),ia64 mips))
-DEB_CONFIGURE_EXTRA_FLAGS += --enable-seed
-endif
+DEB_CONFIGURE_FLAGS_py2 += --enable-gtk-doc \
+                           --enable-vala \
+                           --enable-python \
+                           --disable-gjs
+
+debian/stamp-autotools/py3:: DEB_CONFIGURE_SCRIPT_ENV=PYTHON=python3
+
+DEB_CONFIGURE_FLAGS_py3 += --disable-gtk-doc \
+			   --disable-vala \
+			   --enable-python \
+			   --disable-gjs
+
+makebuilddir::
+	autoreconf
+
+common-install-arch::
+	cp -a debian/tmp-py3/usr/lib/libpeas-1.0/loaders/libpythonloader.so \
+	      debian/tmp/usr/lib/libpeas-1.0/loaders/libpython3loader.so
+
+# Seed disabled since not in main
+#ifeq (,$(filter $(DEB_HOST_ARCH),ia64 mips))
+#DEB_CONFIGURE_EXTRA_FLAGS += --enable-seed
+#endif
 
 # We clean the test directory before running check because we need to stop
 # -Bsymbolic-functions from being used when building the tests.  Else

## libpeas 1.8.1

=== debian/changelog ===
libpeas (1.8.1-2ubuntu2) trusty; urgency=medium

  * No change rebuild for Python 3.4.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Feb 2014 13:42:54 +0100

libpeas (1.8.1-2ubuntu1) trusty; urgency=medium

  * Sync with Debian. Remaining changes:
    - debian/control.in:
      + Don't build-depend against seed or gjs since they're in universe
    - debian/rules:
      + Explicitly disable gjs and seed

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 19 Dec 2013 16:26:49 +1100

libpeas (1.8.1-2) unstable; urgency=low

  * debian/patches/0002-Fix-autogen-with-latest-gnome-common.patch:
    Cherry-pick patch from upstream to drop usage of AM_GNU_GETTEXT as this is
    not working in combination with IT_PROG_INTLTOOL. This fixes a FTBFS with
    latest gnome-common which uses autoreconf now. (Closes: #724555)
  * Delete __pycache__ directory in addition to compiled .pyc and .pyo files.

 -- Michael Biebl <biebl@debian.org>  Mon, 14 Oct 2013 11:53:01 +0200

libpeas (1.8.1-1ubuntu1) saucy; urgency=low

  * Sync with Debian. Remaining changes:
    - debian/control.in:
      + Don't build-depend against seed or gjs since they're in universe
    - debian/rules:
      + Explicitly disable gjs and seed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 01 Aug 2013 18:31:58 -0400

libpeas (1.8.1-1) unstable; urgency=low

  [ Michael Biebl ]
  * Upload to unstable.

  [ Iain Lane ]
  * debian/patches/0001-Fix-tests-after-glib-string-change.patch: Cherry-pick
    from upstream to work with `old' and 'new' GLib strings. Fixes FTBFS in
    test suite.

  [ Jeremy Bicha ]
  * Update homepage

  [ Michael Biebl ]
  * New upstream release.
  * debian/watch: Track stable releases.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Aug 2013 17:29:30 +0200

libpeas (1.8.0-1) experimental; urgency=low

  * New upstream release.
    + debian/patches/30_fix_python2-config.patch:
      - Removed, included upstream.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 28 Mar 2013 02:19:29 +0100

libpeas (1.7.0-2) experimental; urgency=low

  * debian/control.in:
    + Bump libgjs-dev build dependency to build against libgjs0c.
  * debian/rules:
    + Set $HOME when running the test suite, fixes the build on some
      buildds where $HOME is not writable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 24 Mar 2013 21:58:10 +0100

libpeas (1.7.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Build-Depends on python3-dev to build python3 loader.
    - Build-Depends on dh_autoreconf.
    - Build-Depends on python-gi-dev (>= 3.7.2) to pass testsuite.
    - Build-Depends on xvfb and xauth to run testsuite.
    - Build-Depends on libgjs-dev to build gjs loader.
    - Build-Depends on libseed-gtk3-dev also on ia64.
  * debian/rules:
    - Enable python3 loader (Closes: #678354).
    - Enable gjs loader.
    - Enable seed loader on ia64.
    - Include autoreconf.mk to run dh_autoreconf.
    - Enable testsuite.
    - Run gnome-autogen.sh
  * debian/patches:
    - Added 30_fix_python2-config.patch: Check for python-config binary.

 -- Thomas Bechtold <thomasbechtold@jpberlin.de>  Sat, 16 Mar 2013 07:27:26 +0100

libpeas (1.6.2-1) experimental; urgency=low

  * New upstream release
  * Drop vala build-dep and configure flag,
    vala demo plugin dropped upstream. (Closes: #675656)
  * Update for new libpeas-1.0-0 symbols (2 additions)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 09 Dec 2012 22:54:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs (>= 0.4.90),
                debhelper (>= 8),
-               quilt,
-               autoconf,
+               dh-autoreconf,
                gnome-pkg-tools,
                intltool (>= 0.40),
                gtk-doc-tools (>= 1.11),
@@ -18,15 +17,19 @@
                libgladeui-dev,
                gobject-introspection (>= 0.10.1),
                libgirepository1.0-dev (>= 0.10.1),
-               libgtk-3-dev (>= 3.0.0),
+               libgtk-3-dev,
+#               libseed-gtk3-dev (>= 2.91.91) [!mips],
+#               libgjs-dev (>= 1.35.8),
                python-dev (>= 2.5.2),
-               python-gi-dev (>= 3.0.0),
+               python-gi-dev (>= 3.7.2),
                python3-dev,
-               gnome-icon-theme
+               gnome-icon-theme,
+               xvfb,
+               xauth
 Standards-Version: 3.9.4
 Section: libs
-Homepage: http://live.gnome.org/Libpeas
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/libpeas/
+Homepage: https://wiki.gnome.org/Libpeas
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libpeas/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/libpeas/
 
 Package: libpeas-1.0-0
@@ -46,7 +49,7 @@
          gir1.2-peas-1.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.31.2),
          libgirepository1.0-dev (>= 0.10.1),
-         libgtk-3-dev (>= 3.0.0)
+         libgtk-3-dev (>= 2.90)
 Suggests: libpeas-doc
 Description: Application plugin library (development files)
  libpeas is a library that allows applications to support plugins.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_DH_AUTORECONF_ARGS = gnome-autogen.sh

DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc \
                             --enable-python2 \
                             --enable-python3 \
                             --disable-gjs \
                             --disable-seed

#ifeq (,$(filter $(DEB_HOST_ARCH),mips))
#DEB_CONFIGURE_EXTRA_FLAGS += --enable-seed
#endif

DEB_MAKE_CHECK_TARGET =

build/libpeas-1.0-0::
	HOME=$(CURDIR) xvfb-run $(MAKE) check

DEB_DH_MAKESHLIBS_ARGS_libpeas-1.0-0 += -X/usr/lib/libpeas-1.0/

binary-post-install/libpeas-doc::
	# remove compiled python and libtool .la files
	find debian/$(cdbs_curpkg) -name '*.pyo' -delete
	find debian/$(cdbs_curpkg) -name '*.pyc' -delete
	find debian/$(cdbs_curpkg) -name '__pycache__' -delete
	find debian/$(cdbs_curpkg) -name '*.la' -delete

## libpeas 1.10.0

=== debian/changelog ===
libpeas (1.10.0-2ubuntu2) utopic; urgency=medium

  * 0001-Don-t-issue-property-deprecation-warnings-in-tests.patch: Take patch
    from upstream bug to not issue warnings for deprecated properties in the
    testsuite, to fix FTBFS.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 18 Sep 2014 17:38:02 +0100

libpeas (1.10.0-2ubuntu1) utopic; urgency=low

  * Sync with Debian. Remaining changes:
    - debian/control.in:
      + Don't build-depend against seed or gjs since they're in universe
    - debian/rules:
      + Explicitly disable gjs and seed

 -- Iain Lane <iain.lane@canonical.com>  Fri, 23 May 2014 12:39:41 +0100

libpeas (1.10.0-2) unstable; urgency=medium

  * debian/rules, debian/control.in:
    Disable seed support on big-endian architectures (Closes: #727127)
    - add powerpc s390x sparc since mips was already excluded.
    - seed (because of webkit?) is broken on big endian.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 26 Apr 2014 20:06:47 +0200

libpeas (1.10.0-1) experimental; urgency=medium

  * export NOCONFIGURE in debian/rules to avoid double-configure.
  * Add --disable-gjs configure flag for now.
    - the gjs support has been dropped upstream
    - it causes test failures (see 1.9.0-1 changelog entry)
    - doesn't build with gjs >= 1.39 (mozjs24)
  * Make test-suite fatal again.
  * Bump Standards-Version to 3.9.5
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - Bump gobject-introspection to >= 1.39.0
    - Drop libgjs-dev
  * Remove --disable-gjs configure flag (gjs no longer exists)
  * Drop debian/patches/Fix-autogen-with-latest-gnome-common.patch
    - from upstream, now part of released version.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 01 Apr 2014 21:13:05 +0200

libpeas (1.9.0-1) experimental; urgency=low

  * New upstream release
  * debian/patches/0001-Fix-tests-after-glib-string-change.patch
   + Dropped, fixed upstream
  * debian/patches/0002-Fix-autogen-with-latest-gnome-common.patch
   + Dropped, fixed upstream
  * debian/patches/Fix-autogen-with-latest-gnome-common.patch
    + Added, fix autogen (from upstream git)
  * make the test-suite non-fatal, issues filed upstream as bgo#711356

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 03 Nov 2013 20:52:13 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: cdbs (>= 0.4.90),
                debhelper (>= 8),
                dh-autoreconf,
@@ -15,10 +15,10 @@
                gtk-doc-tools (>= 1.11),
                libglib2.0-dev (>= 2.31.2),
                libgladeui-dev,
-               gobject-introspection (>= 0.10.1),
+               gobject-introspection (>= 1.39.0),
                libgirepository1.0-dev (>= 0.10.1),
                libgtk-3-dev,
-#               libseed-gtk3-dev (>= 2.91.91) [!mips],
+#               libseed-gtk3-dev (>= 2.91.91) [!mips !powerpc !s390x !sparc],
 #               libgjs-dev (>= 1.35.8),
                python-dev (>= 2.5.2),
                python-gi-dev (>= 3.7.2),
@@ -26,7 +26,7 @@
                gnome-icon-theme,
                xvfb,
                xauth
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: libs
 Homepage: https://wiki.gnome.org/Libpeas
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/libpeas/

=== debian/rules ===
--- 
+++ 
@@ -7,15 +7,17 @@
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
+# To avoid running configure twice (because gnome-autogen.sh)
+export NOCONFIGURE=yes
+
 DEB_DH_AUTORECONF_ARGS = gnome-autogen.sh
 
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-gtk-doc \
                              --enable-python2 \
                              --enable-python3 \
-                             --disable-gjs \
                              --disable-seed
 
-#ifeq (,$(filter $(DEB_HOST_ARCH),mips))
+#ifeq (,$(filter $(DEB_HOST_ARCH),mips powerpc s390x sparc))
 #DEB_CONFIGURE_EXTRA_FLAGS += --enable-seed
 #endif

## libpeas 1.12.1

=== debian/changelog ===
libpeas (1.12.1-2) unstable; urgency=medium

  * Disable seed support everywhere.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 06 Nov 2014 13:13:34 +0100

libpeas (1.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump libglib2.0-dev build-dependency to >= 2.32.0 according to configure.ac

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 21:10:34 +0200

libpeas (1.10.1-4) unstable; urgency=medium

  * Also exclude arm64 hppa and arm from the seed build-dependency.
  * Add ppc64el and ia64 to archs where we don't enable seed
    and exclude them from the seed build-dependency.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 07 Sep 2014 22:01:32 +0200

libpeas (1.10.1-3) unstable; urgency=medium

  * Also add arm64 to platforms where we don't enable seed.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 07 Sep 2014 21:48:58 +0200

libpeas (1.10.1-2) unstable; urgency=medium

  * Add hppa and alpha to the list of architectures where we don't enable
    seed (Closes: #757241)

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 05 Sep 2014 00:01:41 +0200

libpeas (1.10.1-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    + Don't run the test suite when DEB_BUILD_OPTIONS contains nocheck.
      Thanks to Pino Toscano. Closes: #755251.
  * debian/rules,
    debian/control.in:
    + Disable seed support on hurd-i386. Thanks to Pino Toscano.
      Closes: #755259.

  [ Andreas Henriksson ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 28 Aug 2014 16:43:26 -0700

=== debian/control ===
--- 
+++ 
@@ -4,22 +4,19 @@
 # This file is regenerated automatically in the clean target.
 Source: libpeas
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: cdbs (>= 0.4.90),
                debhelper (>= 8),
                dh-autoreconf,
                gnome-pkg-tools,
                intltool (>= 0.40),
                gtk-doc-tools (>= 1.11),
-               libglib2.0-dev (>= 2.31.2),
+               libglib2.0-dev (>= 2.32.0),
                libgladeui-dev,
                gobject-introspection (>= 1.39.0),
                libgirepository1.0-dev (>= 0.10.1),
                libgtk-3-dev,
-#               libseed-gtk3-dev (>= 2.91.91) [!mips !powerpc !s390x !sparc],
-#               libgjs-dev (>= 1.35.8),
                python-dev (>= 2.5.2),
                python-gi-dev (>= 3.7.2),
                python3-dev,

=== debian/rules ===
--- 
+++ 
@@ -17,14 +17,12 @@
                              --enable-python3 \
                              --disable-seed
 
-#ifeq (,$(filter $(DEB_HOST_ARCH),mips powerpc s390x sparc))
-#DEB_CONFIGURE_EXTRA_FLAGS += --enable-seed
-#endif
-
 DEB_MAKE_CHECK_TARGET =
 
 build/libpeas-1.0-0::
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	HOME=$(CURDIR) xvfb-run $(MAKE) check
+endif
 
 DEB_DH_MAKESHLIBS_ARGS_libpeas-1.0-0 += -X/usr/lib/libpeas-1.0/
